Blob Blame History Raw
From 0d571e36878fb42fc9e024bc52a6fa439d707d2c Mon Sep 17 00:00:00 2001
From: Miroslav Grepl <mgrepl@redhat.com>
Date: Fri, 16 May 2014 15:14:37 +0200
Subject: [PATCH 4/5] Make fixfiles_exclude_dirs working if there is a
 substituion for the given directory

---
 policycoreutils/scripts/fixfiles | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/policycoreutils/scripts/fixfiles b/policycoreutils/scripts/fixfiles
index 5c29eb9..df4298a 100755
--- a/policycoreutils/scripts/fixfiles
+++ b/policycoreutils/scripts/fixfiles
@@ -137,6 +137,9 @@ else
     FC=/etc/security/selinux/file_contexts
 fi
 
+FC_SUB_DIST=${FC}.subs_dist
+FC_SUB=${FC}.subs
+
 #
 # Log to either syslog or a LOGFILE
 #
@@ -243,6 +246,10 @@ then
 		logit "skipping the directory ${p}"
 	done
 FC=$TEMPFCFILE
+/bin/cp -p ${TEMPFCFILE} ${TEMPFCFILE}.subs_dist &>/dev/null || exit
+/bin/cp -p ${FC_SUB_DIST} ${TEMPFCFILE}.subs_dist &>/dev/null || exit
+/bin/cp -p ${TEMPFCFILE} ${TEMPFCFILE}.subs &>/dev/null || exit
+/bin/cp -p ${FC_SUB} ${TEMPFCFILE}.subs &>/dev/null || exit
 fi
 if [ ! -z "$RPMFILES" ]; then
     for i in `echo "$RPMFILES" | sed 's/,/ /g'`; do
@@ -264,7 +271,7 @@ if [ ${OPTION} != "Relabel" ]; then
     return
 fi
 echo "Cleaning up labels on /tmp"
-rm -rf /tmp/gconfd-* /tmp/pulse-* /tmp/orbit-* $TEMPFCFILE
+rm -rf /tmp/gconfd-* /tmp/pulse-* /tmp/orbit-* $TEMPFCFILE ${TEMPFCFILE}.subs_dist ${TEMPFCFILE}.subs
 
 UNDEFINED=`get_undefined_type` || exit $?
 UNLABELED=`get_unlabeled_type` || exit $?
-- 
2.1.0